petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGuessUpdate

Updates the guess object with the current solution and rhs vector

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessUpdate(KSPGuess guess, Vec rhs, Vec sol)

Collective on guess

### Input Parameter

| guess | - the initial guess context
| rhs | - the corresponding rhs
| sol | - the computed solution

### See Also

KSPGuessCreate(), KSPGuess

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessUpdate_Fischer_1 in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessUpdate_Fischer_2 in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessUpdate_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages